<HdlDevice Language="Verilog" Pattern="%w%M%0_" OnlyTargets="xilinx">
  <ComponentSpec>
    <Properties>
      <property name="dramStatus" readback="true"/>
      <property name="drmCtrl" readback="true" writable="true"/>
      <property name="dbg_calib_done" readback="true"/>
      <property name="dbg_calib_err" readback="true"/>
      <property name="dbg_calib_dq_tap_cnt" readback="true"/>
      <property name="dbg_calib_dqs_tap_cnt" readback="true"/>
      <property name="dbg_calib_gate_tap_cnt" readback="true"/>
      <property name="dbg_calib_rd_data_sel" readback="true"/>
      <property name="dbg_calib_ren_delay" readback="true"/>
      <property name="dbg_calib_gate_delay" readback="true"/>
      <property name="code_babe" readback="true"/>
      <property name="wmemiWrReq" readback="true"/>
      <property name="wmemiRdReq" readback="true"/>
      <property name="wmemiRdResp" readback="true"/>
      <property name="wmemi_status" readback="true"/>
      <property name="wmemi_ReadInFlight" readback="true"/>
      <property name="reserved0" readback="true"/>
      <property name="reserved1" readback="true"/>
      <property name="requestCount" readback="true"/>
      <property name="reserved2" readback="true"/>
      <property name="pReg" readback="true" writable="true"/>
      <property name="b4_write_pio" writable="true"/>
      <property name="b4_read_pio" writable="true"/>
      <property name="mReg" readback="true" writable="true"/>
      <property name="wdReg_0" readback="true"/>
      <property name="wdReg_1" readback="true"/>
      <property name="wdReg_2" readback="true"/>
      <property name="wdReg_3" readback="true"/>
      <property name="rdReg_0" readback="true"/>
      <property name="rdReg_1" readback="true"/>
      <property name="rdReg_2" readback="true"/>
      <property name="rdReg_3" readback="true"/>
      <property name="reserved3" readback="true" ArrayLength="131040"/>
      <property name="data" readback="true" ArrayLength="131072"/>
    </Properties>
  </ComponentSpec>
  <ControlInterface ControlOperations="initialize" Timeout="250000000" Sub32BitConfigProperties="true"/>
  <!--  Non-OCP Signals -->
  <Signal Input="fwait_i"/>
  <Signal Inout="io_dq" Width="16"/>
  <Signal Output="addr" Width="24"/>
  <Signal Output="ce_n"/>
  <Signal Output="oe_n"/>
  <Signal Output="we_n"/>
  <Signal Output="wp_n"/>
  <Signal Output="rst_n"/>
  <Signal Output="adv_n"/>
</HdlDevice>


